<?php namespace App\ViewModels\Especie\EspecieDetailsViewModel;

use App\Utils\Entity;

class EspecieDetailsViewModel extends Entity
{
    protected $id;
    protected $nome;

    public static function builder() : EspecieDetailsViewModelBuilder
    {
        return (new EspecieDetailsViewModelBuilder);
    }

    public function getId()
    {
        return $this->id;
    }

    public function setId($id): void
    {
        $this->id = $id;
    }

    public function getNome()
    {
        return $this->nome;
    }

    public function setNome($nome): void
    {
        $this->nome = $nome;
    }


}